Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 148603 - Print eclasses that are from overlays in the event of a failure
Summary: Print eclasses that are from overlays in the event of a failure
Status: VERIFIED FIXED
Alias: None
Product: Portage Development
Classification: Unclassified
Component: Enhancement/Feature Requests (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: Portage team
URL:
Whiteboard:
Keywords: InVCS
Depends on:
Blocks: 147007
  Show dependency tree
 
Reported: 2006-09-21 22:01 UTC by Alec Warner
Modified: 2006-12-29 01:32 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
prints out overlay'd eclasses in diefunc in ebuild.sh (eclass-print.patch,915 bytes, patch)
2006-09-21 22:02 UTC, Alec Warner
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alec Warner archtester Gentoo Infrastructure gentoo-dev Security 2006-09-21 22:01:48 UTC
To quote my original "on the napkin" implementation:

!!! ERROR: net-im/silc-toolkit-1.0 failed.
Call stack:
  ebuild.sh, line 1554:   Called dyn_unpack
  ebuild.sh, line 715:   Called src_unpack
  silc-toolkit-1.0.ebuild, line 22:   Called die
 
!!! Aww poopies
!!! If you need support, post the topmost build error, and the call stack if relevant.
 
Ebuild used eclasses from the following overlays:\n
/usr/local/portage/eclass/eutils.eclass\n
/usr/local/portage/eclass/eutils.eclass\n
/usr/local/portage/eclass/eutils.eclass\n
/usr/local/portage/eclass/eutils.eclass\n
!!! This ebuild is from an overlay: '/usr/local/portage'

Print out that eclasses were overridden; make it obvious; make certain devs (esp flameeyes) love you long time.

patch attached
Comment 1 Alec Warner archtester Gentoo Infrastructure gentoo-dev Security 2006-09-21 22:02:33 UTC
Created attachment 97726 [details, diff]
prints out overlay'd eclasses in diefunc in ebuild.sh
Comment 2 Zac Medico gentoo-dev 2006-12-25 12:43:41 UTC
This is in svn r5392.
Comment 3 Zac Medico gentoo-dev 2006-12-28 19:10:11 UTC
This has been released in 2.1.2_rc4-r2.
Comment 4 Jakub Moc (RETIRED) gentoo-dev 2006-12-29 01:32:12 UTC
Yay, thanks!